package br.edu.ufabc.prograd.servlet;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.annotation.WebServlet;

import br.edu.ufabc.prograd.dao.AlunoDAO;
import br.edu.ufabc.prograd.modelo.Aluno;

@WebServlet("/InsereAluno")
public class InsereAluno extends HttpServlet {
	private static final long serialVersionUID = 1L;

	protected void service(HttpServletRequest request,
	                       HttpServletResponse response)
	throws ServletException, IOException {
		HttpSession session = request.getSession(); 
		if (!"administrador".equals(session.getAttribute("usuario"))) {
			response.sendError(403); // 403 = Acesso Negado
			return;
		}
		// obtem parâmetros
		String nome = request.getParameter("nome");
		String email = request.getParameter("email");
		String endereco = request.getParameter("endereco");
		// insere aluno
		Aluno aluno = new Aluno();
		aluno.setNome(nome);
		aluno.setEmail(email);
		aluno.setEndereco(endereco);
		AlunoDAO dao = new AlunoDAO();
		dao.insere(aluno);
		// TODO: fazer escaping do nome para evitar XSS
		PrintWriter out = response.getWriter();
		out.println("<!DOCTYPE html>");
		out.println("<html>");
		out.println("<head><title>Inserção de aluno</title></head>");
		out.println("<body>");
		out.println("  <h1>Inserção de aluno</h1>");
		out.println("  <p>Aluno " + nome + " inserido!</p>");
		out.println("</body>");
		out.println("</html>");
	}
}
