package br.edu.ufabc.prograd.servlet;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.List;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import br.edu.ufabc.prograd.dao.AlunoDAO;
import br.edu.ufabc.prograd.modelo.Aluno;

/**
 * Servlet implementation class ListaAlunos
 */
@WebServlet("/ListaAlunos")
public class ListaAlunos extends HttpServlet {
	private static final long serialVersionUID = 1L;

	protected void service(HttpServletRequest request,
			               HttpServletResponse response)
	throws ServletException, IOException {
		PrintWriter out = response.getWriter();
		out.println("<!DOCTYPE html>");
		out.println("<html>");
		out.println("<head>");
		out.println("<title>Lista de Alunos</title>");
		out.println("</head>");
		out.println("<body>");
		out.println("  <h1>Lista de Alunos</h1>");
		out.println("  <table>");
		out.println("    <thead>");
		out.println("      <tr>");
		out.println("        <td>Nome</td><td>Email</td><td>Endereco</td>");
		out.println("      </tr>");
		out.println("    </thead>");
		out.println("    <tbody>");
		
		AlunoDAO dao = new AlunoDAO();
		List<Aluno> alunos = dao.getLista();
		for(Aluno aluno : alunos)
		{
			out.println("      <tr>");
			out.println("        <td>" + aluno.getNome() +
					    "</td><td>" + aluno.getEmail() +
					    "</td><td>" + aluno.getEndereco() + "</td>");
			out.println("      </tr>");
		}

		out.println("    </tbody>");
		out.println("  </table>");
		
		out.println("  <input type=\"button\" value=\"Voltar\" onclick=\"history.go(-1)\">");
		out.println("</body>");
		out.println("</html>");
	}

}
